/**
   @version 1.01 2004-08-25
   @author Cay Horstmann
*/

import java.awt.*;
import javax.swing.*;

/**
   Program demonstrujący sposób rozszerzenia możliwości
   komponentów Swing o przekazywanie danych. Umożliwia
   przeciągnięcie koloru z panela "Preview" 
   do pola tekstowego.
*/
public class SwingDnDTest
{  
   public static void main(String[] args)
   {  
      JFrame frame = new SwingDnDFrame();
      frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      frame.setVisible(true);
   }
}

/**
   Ramka zawierająca komponent wyboru koloru i pole tekstowe. 
   Przeciągnięcie koloru do pola tekstowego zmienia jego tło.
*/

class SwingDnDFrame extends JFrame
{  
   public SwingDnDFrame()
   {  
      setTitle("SwingDnDTest");

      JColorChooser chooser = new JColorChooser();
      chooser.setDragEnabled(true);
      add(chooser, BorderLayout.CENTER);
      JTextField textField = new JTextField("Drag color here");
      textField.setDragEnabled(true);
      textField.setTransferHandler(new TransferHandler("background"));
      add(textField, BorderLayout.SOUTH);
      pack();
   }
}




